classification
Title: test_multiprocessing failure (Unserializable message)
Type: behavior Stage:
Components: Library (Lib), Tests Versions: Python 3.0
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: jnoller Nosy List: amaury.forgeotdarc, benjamin.peterson, jnoller, pitrou
Priority: high Keywords:

Created on 2008-08-19 22:08 by pitrou, last changed 2008-09-03 18:20 by jnoller. This issue is now closed.

Messages (5)
msg71492 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-19 22:07
I have the following deterministic failure on py3k:

test test_multiprocessing failed -- Traceback (most recent call last):
  File "/home/antoine/py3k/__svn__/Lib/test/test_multiprocessing.py",
line 932, in test_dict
    self.assertEqual(sorted(d.keys()), indices)
  File "<string>", line 2, in keys
  File "/home/antoine/py3k/__svn__/Lib/multiprocessing/managers.py",
line 738, in _callmethod
    raise convert_to_error(kind, result)
multiprocessing.managers.RemoteError: 
---------------------------------------------------------------------------
Unserializable message: ('#RETURN', <dict_keys object at 0x956ddb0>)
---------------------------------------------------------------------------
msg71504 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-20 02:37
Here's a buildbot example:
http://python.org/dev/buildbot/stable/amd64%20gentoo%203.0/builds/980/step-test/0
msg71520 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-08-20 08:59
Sorry, I did not notice the failure because test_multiprocessing have
other problems on Windows.
r65905 restores part of the copy_reg calls, just enough to let the tests
pass.

I am working on the proper fix, which is to use the custom pickler in
connection.h::connection_send_obj(), instead of the standard pickle.dumps().
msg72406 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-03 18:08
It seems that issue3125 follows the same problem;
one of them could be closed IMO.

Lowering priority as well.
msg72407 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2008-09-03 18:20
Closing as dupe to issue3125
History
Date User Action Args
2008-09-03 18:20:04jnollersetstatus: open -> closed
resolution: duplicate
messages: + msg72407
2008-09-03 18:08:11amaury.forgeotdarcsetpriority: release blocker -> high
messages: + msg72406
2008-08-21 14:23:16benjamin.petersonsetpriority: critical -> release blocker
2008-08-20 08:59:56amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg71520
2008-08-20 02:37:18benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg71504
2008-08-19 22:08:00pitroucreate